#!/bin/bash
source "$(dirname "$0")/_common.sh"
load_env "$1" || die "Failed to load environment variables"

DOCKER_RUN_CMD="docker run -d \
                --restart unless-stopped \
                --name ${CONTAINER_NAME} \
                -v /var/run/docker.sock:/var/run/docker.sock \
                ${IMAGE_REGISTRY}/${IMAGE_REPO}:${IMAGE_TAG}"

if ! create_and_start_container "$DOCKER_RUN_CMD"; then
    die "Failed to start container ${CONTAINER_NAME}"
fi

# Check if the container is running
if ! _is_container_running "$CONTAINER_NAME"; then
    die "Container ${CONTAINER_NAME} is not running"
fi

echo "Container ${CONTAINER_NAME} started"
